<?php

// redirect if this file is directly called in the browser
if(!defined('WB_URL')) {
	header('Location: ../index.php');
	exit(0);
}

/***********************************************************************************************
 TEMPLATE CODE STARTS BELOW
***********************************************************************************************/
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title><?php page_title('', '[WEBSITE_TITLE]'); ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=<?php echo defined('DEFAULT_CHARSET') ? DEFAULT_CHARSET :'utf-8';?>" />
  <meta name="description" content="<?php page_description(); ?>" />
  <meta name="keywords" content="<?php page_keywords(); ?>" />
  <?php 
  // automatically include optional module files (frontend.css, frontend.js) if required
  // include the template CSS files below to prevent that CSS definitions are overwritten by modules
  if(function_exists('register_frontend_modfiles')) {
    register_frontend_modfiles('css');
    register_frontend_modfiles('js');
	}
  ?>
    <link rel="stylesheet" type="text/css" href="<?php echo TEMPLATE_DIR; ?>/editor.css"  />
  	<link rel="stylesheet" type="text/css" href="<?php echo TEMPLATE_DIR; ?>/main.css"  />
    <link rel="Shortcut Icon" type="image/x-icon" href="<?php echo TEMPLATE_DIR; ?>/images/favicon.ico" />
	<meta http-equiv="imagetoolbar" content="no" />
	<!--[if IE 6]>
		<link rel="stylesheet" type="text/css" href="<?php echo TEMPLATE_DIR; ?>/ie6.css" />
	<![endif]-->	
</head>
<body>
<!-- start header -->
<div class="bodybox">
<div id="header">	
	<div id="menu">
		<?php // show_menu2 required to show the menu
if(!function_exists('show_menu2')) {
	echo 'This template requires the code snippet: show_menu2 which can be downloaded from the
	Website Baker <a href="http://addons.websitebaker.org" target="_blank">Addons Repository</a>.
	<br />You need to install show_menu2 before you can use this template.';
} else {
show_menu2(1,SM2_ROOT,SM2_START,SM2_TRIM|SM2_PRETTY,'<li><a href="[url]" target="[target]" class="[class]">[menu_title]</a>','</li>','<ul>','</ul>',false,false);
 }?>
	</div>
</div>
<!-- end header -->
<!-- start page -->

<div id="page">
	<!-- start leftbar -->
	<div id="leftbar"><img src="<?php echo TEMPLATE_DIR; ?>/images/mainpic.jpg" width="270" height="282" alt="" /></div>

	<div id="content"><?php page_content(1); ?></div>
	<!-- start rightbar -->
	<div id="rightbar">
		
			<!-- display frontend search -->
<?php if(SHOW_SEARCH) { ?>
	<form name="search" id="search" action="<?php echo WB_URL .'/search/index'.PAGE_EXTENSION; ?>" method="get">
	<fieldset><input type="hidden" name="referrer" value="<?php echo defined('REFERRER_ID')?REFERRER_ID:PAGE_ID;?>" />
	<input type="text" name="string" class="inputfield" />
    <input type="submit" name="submit" class="submit" value="<?php echo $TEXT['SEARCH']; ?>" />
	</fieldset>
  </form>
<?php } ?>
			
			<div id="display_anynews"><?php if(!function_exists('displayNewsItems')) {echo 'Please install AnyNews!';} else { displayNewsItems();  }?></div>			
			
			<div class="display_latest"><h2>Latest Comments</h2><?php if(!function_exists('display_lastcomments')) {echo 'Please install LastComments!';} else { display_lastcomments();  }?></div>
						
	</div><!-- end rightbar -->
<div style="clear: both;">&nbsp;</div>

</div><!-- end page -->
<hr />
<div id="footer"><p>Designed by <a href="http://websitebaker.at/">websitebaker.at</a> | <?php page_footer(); ?></p></div>
</div>
</body>
</html>